petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCApplyTranspose

Applies the transpose of preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplyTranspose(PC pc,Vec x,Vec y)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

y -output vector

### Notes

For complex numbers this applies the non-Hermitian transpose.

### Developer Notes

We need to implement a PCApplyHermitianTranspose()

### Keywords

PC, apply, transpose

### See Also

PCApply(), PCApplyBAorAB(), PCApplyBAorABTranspose(), PCApplyTransposeExists()

### Level

developer

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCApplyTranspose_ASM in src/ksp/pc/impls/asm/asm.c
PCApplyTranspose_BDDC in src/ksp/pc/impls/bddc/bddc.c
PCApplyTranspose_BDDCIPC in src/ksp/pc/impls/bddc/bddc.c
PCApplyTranspose_BJacobi_Singleblock in src/ksp/pc/impls/bjacobi/bjacobi.c
PCApplyTranspose_BJacobi_Multiblock in src/ksp/pc/impls/bjacobi/bjacobi.c
PCApplyTranspose_Composite_Multiplicative in src/ksp/pc/impls/composite/composite.c
PCApplyTranspose_Composite_Additive in src/ksp/pc/impls/composite/composite.c
PCApplyTranspose_Cholesky in src/ksp/pc/impls/factor/cholesky/cholesky.c
PCApplyTranspose_ILU in src/ksp/pc/impls/factor/ilu/ilu.c
PCApplyTranspose_LU in src/ksp/pc/impls/factor/lu/lu.c
PCApplyTranspose_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
PCApplyTranspose_GASM in src/ksp/pc/impls/gasm/gasm.c
PCApplyTranspose_HYPRE_BoomerAMG in src/ksp/pc/impls/hypre/hypre.c
PCApplyTranspose_KSP in src/ksp/pc/impls/ksp/pcksp.c
PCApplyTranspose_Mat in src/ksp/pc/impls/mat/pcmat.c
PCApplyTranspose_Redundant in src/ksp/pc/impls/redundant/redundant.c
PCApplyTranspose_Shell in src/ksp/pc/impls/shell/shellpc.c
PCApplyTranspose_SOR in src/ksp/pc/impls/sor/sor.c
PCApplyTranspose_SVD in src/ksp/pc/impls/svd/svd.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages